> ## Documentation Index
> Fetch the complete documentation index at: https://docs.leanpay.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Import a misc operation



## OpenAPI

````yaml https://public.leanpay.fr/openapi/leanpay_api_documentation.swagger.yaml post /misc-operations
openapi: 3.1.1
info:
  version: 1.0.0
  title: LeanPay Api documentation
  contact:
    email: integration@leanpay.fr
servers:
  - url: https://api.leanpay.fr/v1/public
security: []
tags:
  - name: clients
    description: Routes related to clients
  - name: invoices
    description: Routes related to invoices
  - name: credit-notes
    description: Routes related to credit notes
  - name: misc-operations
    description: Routes related to misc operations
  - name: contacts
    description: Routes related to client contacts
  - name: addresses
    description: Routes related to client addresses
  - name: payments
    description: Routes related to invoice payments
  - name: portal-payments
    description: >-
      Routes related to portal payments (online payments made by debtors from
      the customer portal)
  - name: paybacks
    description: Routes related to credit note paybacks
  - name: links
    description: Routes related to invoice/credit note links
  - name: comments
    description: Routes related to comments
  - name: deleted-elements
    description: Routes related to deleted elements
  - name: client-properties
    description: Routes related to client properties
paths:
  /misc-operations:
    post:
      tags:
        - misc-operations
      summary: Import a misc operation
      requestBody:
        description: Misc operation object that need to be imported
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MiscOperationCreate'
      responses:
        '200':
          description: Returns the imported misc operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MiscOperationResponse'
        '400':
          description: Response sent when the misc operation object provided is invalid
        '404':
          description: Client not found
      security:
        - authorization: []
components:
  schemas:
    MiscOperationCreate:
      type: object
      properties:
        clientId:
          type: string
          format: uuid
        externalId:
          type: string
          maxLength: 80
        defaultCurrencyAmount:
          type: integer
          minimum: 0
        amount:
          type: integer
          minimum: 0
        date:
          type: string
          format: date
        currency:
          type: string
          maxLength: 3
        description:
          type:
            - string
            - 'null'
        type:
          type: string
          enum:
            - debit
            - credit
          description: Direction of the misc operation entry
      required:
        - clientId
        - externalId
        - defaultCurrencyAmount
        - amount
        - currency
        - date
        - type
    MiscOperationResponse:
      type: object
      properties:
        id:
          type: string
          format: uuid
        tenantId:
          type: string
          format: uuid
        clientId:
          type: string
          format: uuid
        externalId:
          type: string
        defaultCurrencyAmount:
          type: integer
          minimum: 0
          description: >-
            Absolute value of the operation amount in the tenant's default
            currency
        amount:
          type: integer
          minimum: 0
          description: Absolute value of the operation amount in the operation currency
        currency:
          type: string
        date:
          type: string
          format: date-time
        description:
          type:
            - string
            - 'null'
        type:
          type: string
          enum:
            - debit
            - credit
          description: Direction of the misc operation entry
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
  securitySchemes:
    authorization:
      type: apiKey
      name: Authorization
      in: header

````